/************************************************************************/
/*                                                                      */
/*              Author: Peter Dannegger                                 */
/*                                                                      */
/************************************************************************/
#ifndef _INCL_LCD_H
#define _INCL_LCD_H
#include <avr/io.h>
#include "mydefs.h"


/***************************************************************************/
/*                       define the wanted LCD type:                       */
/***************************************************************************/
//#define LCD_1X8
//#define LCD_1X16
//#define LCD_1X20
//#define LCD_1X40
//#define LCD_2X8       // some 1x16 are wired as 2x8
//#define LCD_2X12
#define LCD_2X16
//#define LCD_2X20
//#define LCD_2X24
//#define LCD_2X40
//#define LCD_4X16
//#define LCD_4X20

/***************************************************************************/
/*                       define the LCD connections:                       */
/***************************************************************************/
#define	LCD_D4		SBIT( PORTA, 3 )
#define	LCD_DDR_D4	SBIT( DDRA, 3 )

#define	LCD_D5		SBIT( PORTA, 4 )
#define	LCD_DDR_D5	SBIT( DDRA, 4 )

#define	LCD_D6		SBIT( PORTA, 5 )
#define	LCD_DDR_D6	SBIT( DDRA, 5 )

#define	LCD_D7		SBIT( PORTA, 6 )
#define	LCD_DDR_D7	SBIT( DDRA, 6 )

#define	LCD_RS		SBIT( PORTA, 0 )
#define	LCD_DDR_RS	SBIT( DDRA, 0 )

#define	LCD_RW		SBIT( PORTA, 1 )
#define	LCD_DDR_RW	SBIT( DDRA, 1 )

#define	LCD_E0		SBIT( PORTA, 2 )
#define	LCD_DDR_E0	SBIT( DDRA, 2 )

#endif
